netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
savedir Struct Reference

Struct to save directory reading context in. More...

## Data Fields
u_short | sd_vid
uint32_t | sd_did
int | sd_buflen
char * | sd_buf
char * | sd_last
unsigned int | sd_sindex

## Detailed Description

Struct to save directory reading context in.

Note
  Used to prevent O(n^2) searches on a directory.

## Field Documentation

## ◆ sd_buf

char* savedir::sd_buf

## ◆ sd_buflen

int savedir::sd_buflen

## ◆ sd_did

uint32_t savedir::sd_did

## ◆ sd_last

char* savedir::sd_last

## ◆ sd_sindex

unsigned int savedir::sd_sindex

## ◆ sd_vid

u_short savedir::sd_vid

The documentation for this struct was generated from the following file:

- enumerate.c